* {
    font-family: Lexend;
    font-style: normal;
}

header {
    max-width: 100%;
    background-color: #323232;
}

#title-bar {
    display: flexbox;
    margin: 0vw 10vw 2vw 10vw; 
    text-align: center;
    font-family: Lexend;
    color: #ffff;
    padding-top: 8px;
}

#goguljaryok-icon {
    display: inline-block;
    max-height: 20vw;
    border-radius: 50%;
    -moz-border-radius: 50%;
    -webkit-border-radius: 50%;
    overflow: hidden;
}

h1 {
    font-size: 1.2em;
    padding: 4px;
}

html, body {
    max-width: 100%;
    margin: 0;
    overflow-x: hidden;
    background-color: #323232;
}

nav {
    position: sticky;
    top: 0;
    width: 100%;
    height: 35px;
    text-align: center;
}

nav ul {
    padding: 0;
}

nav li {
    list-style-type: none;
    display: inline;
}

nav li a {
    display: inline-block;
    padding: 4px;
    text-decoration: none;
    color: white;
}

#banner {
    display: block;
    width: 100%;
    height: auto;
}

#banner-img {
    width: 100%;
}

.img-mob {
    display: block;
    width: 100%;
}

.img-web {
    display: none;
}

#main {
    width: 100vw;
    background: #E0D6BC;
    color: #000;
    font-family: Lexend;
    font-size: 0.8125rem;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

#intro {
    max-height: 50em;
    font-size: 3em;
    padding: 7vw 7vw 7vw 7vw;
    text-align: center;
}

#intro p {
    flex-direction: column;
    justify-content: center;
    flex-shrink: 0;
    color: #000;
    font-family: Lexend;
    font-size: 1rem;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

#productions {
    background-color: #323232;
}

#productions-intro {
    color: white;
    padding-top: 12px;
    text-align: center;
}

#subtitle {
    align-items: center;
}

h1 {
    text-align: center;
}

#panel img {
    min-width: 12vw;
}

.prod-img {
    max-width: 100vw;
}

.prod-wrap {
    position: relative;
}

.hidden-text {
    display: none;
}

.project-details {
    padding: 5px;
}

#project-page {
    padding: 5px 10vw 5px 10vw;
}

footer {
    padding: 20px 10vw 40px 10vw;
    text-decoration: none;
    text-align: center;
    color: white;
}


#social-media a {
    display: inline-block;
    padding: 10px 24px 10px 24px;
}

#social-media img {
    float: left;
    max-width: 2vw;
    max-height: 2vw;
    padding-right: 4px;
}

#social-media p {
    float: right;
    text-align: center;
    margin: 0px;
    text-decoration: none;
    color: white;
}

footer img {
    max-width: 5vw;
}

/* -- About Page -- */

h2 {
    text-align: center;
}

#profile-img {
    max-width: 80vw;
    padding: 10vw;
}

#about p {
    text-align: center;
    padding: 10vw;
}

#about img {
    max-width: 100vw;
}

#profile {
    text-align: center;
}

#profile p {
    text-align: center;
    padding: 8px 10vw 8px 10vw;
}


/* -- Media Queries -- */

@media only screen and (min-width: 768px) {
    /* For desktop */

    nav {
        position: sticky;
        top: 0;
    }

    #main {
        padding: 0 20vw 0 20vw;
        width: 60vw;
    }

    .img-mob {
        display: none !important;
        width: 100%;
    }

    .img-web {
        display: block !important;
        width: 100% !important;
    }

    .prod-img {
        max-width: 100%;
    }

    #prod-1 {
        grid-row-start: 1;
        justify-self: end;
    }

    #prod-2 {
        justify-self: start;
    }

    #prod-3 {
        justify-self: end;
    }

    #prod-4 {
        justify-self: start;
    }

    #productions {
        padding: 20px 10vw 20px 10vw;
        display: grid;
        grid-template-columns: auto auto;
    }

    .hidden-text {
        display: block;
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        padding: 10vw 5vw 0px 5vw;
        font-size: 1em;
        
        background: rgba(48, 48, 48, 0.343);
        color: #fff;
        visibility: hidden;
        opacity: 0;
        margin: 0px;
        text-align: center;
        transition: opacity .2s, visibility .2s;
    }
    
    .prod-wrap:hover .hidden-text {
        visibility: visible;
        opacity: 1;
      }
    /* -- About Page -- */

    #about img {
        max-width: 60vw;
    }

    #about p {
        padding: 20px 5vw 20px 5vw;
    }

    #profile {
        display: grid;
        grid-template-columns: auto auto;
    }

    #profile-img {
        grid-column: 1;
        max-width: 30vw;
        padding: 10px 2vw 10px 2vw;
    }

    #profile-text {
        grid-column: 2;
        padding: 20px 0px 20px 0px;
    }
    
    #profile p {
        padding: 0px;
        text-align: left;
    }
}